## org.springframework.expression.spel.ast
Class OpLE

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.Operator
              org.springframework.expression.spel.ast.OpLE

All Implemented Interfaces:
  SpelNode

    public class OpLE

extends Operator

Implements the less-than-or-equal operator.

Since:
  3.0
Author:
  Andy Clement

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Constructor Summary
`OpLE(int pos, SpelNodeImpl... operands)`

Method Summary
`BooleanTypedValue` `getValueInternal(ExpressionState state)`

Methods inherited from class org.springframework.expression.spel.ast.Operator
`getLeftOperand, getOperatorName, getRightOperand, toStringAST`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpLE

    public OpLE(int pos,
                SpelNodeImpl... operands)

Method Detail

### getValueInternal

    public BooleanTypedValue getValueInternal(ExpressionState state)
                                       throws EvaluationException

  Specified by:
    `getValueInternal` in class `SpelNodeImpl`
  Throws:
    `EvaluationException`